#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        The new screenshot capture utility, replaces KSnapshot
Name:           spectacle
Version: 17.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

## upstream patches

BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5Concurrent)

BuildRequires: kcoreaddons-devel >= 5.6.0
BuildRequires: kwidgetsaddons-devel >= 5.6.0
BuildRequires: kdbusaddons-devel >= 5.6.0
BuildRequires: knotifications-devel >= 5.6.0
BuildRequires: kconfig-devel >= 5.6.0
BuildRequires: ki18n-devel >= 5.6.0
BuildRequires: kio-devel >= 5.6.0
BuildRequires: kxmlgui-devel >= 5.6.0
BuildRequires: kwindowsystem-devel >= 5.6.0
BuildRequires: kdoctools-devel >= 5.6.0

BuildRequires: pkgconfig(kscreen2) >= 5.2.0 

BuildRequires: cmake(KF5Kipi)
BuildRequires: cmake(KF5Declarative)

BuildRequires: pkgconfig(xcb-cursor)



Obsoletes:     ksnapshot < 2:15.12.0
Provides:      ksnapshot = %version-%release

Obsoletes:     ksnapshot-handbook < 2:15.12.0
Provides:      ksnapshot-handbook = %version-%release

Requires:      khotkeys

# conflicts with mga5 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
The new screenshot capture utility, replaces KSnapshot.

%files -f %name.lang
%doc %_kf5_docdir/HTML/*/spectacle
%_kf5_bindir/spectacle
%_kf5_applicationsdir/org.kde.spectacle.desktop
%_kf5_datadir/dbus-1/interfaces/org.kde.Spectacle.xml
%_kf5_datadir/dbus-1/services/org.kde.Spectacle.service
%_kf5_iconsdir/*/*/*/*
%_kf5_datadir/khotkeys/spectacle.khotkeys
%_kf5_knotificationsdir/spectacle.notifyrc
%_kf5_appdatadir/org.kde.spectacle.appdata.xml

#--------------------------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1202374
- New version 17.12.2
- New version 17.12.1

* Thu Mar 09 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090554
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076919
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072109
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067426
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061490
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050753
- New version 16.08.1

* Thu Aug 25 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048703
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040156
- New version 16.04.3
- New version 16.04.2

  + akien <akien>
    - Fix Source0 URL

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1013572
- New version 16.04.1

* Wed Apr 27 2016 daviddavid <daviddavid> 16.04.0-2.mga6
+ Revision: 1006896
- backport upstream fixes

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004434
- New version 16.04.0

* Tue Mar 29 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996386
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991269
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987549
- New version 15.12.2

* Fri Mar 04 2016 neoclust <neoclust> 15.12.1-4.mga6
+ Revision: 985534
- Rebuild against new kscreen

* Sun Jan 17 2016 neoclust <neoclust> 15.12.1-3.mga6
+ Revision: 925116
- Require khotkeys

* Sun Jan 17 2016 neoclust <neoclust> 15.12.1-2.mga6
+ Revision: 925076
- Fix BuildRequires ( mga #17464)

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922711
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 912126
- New version 15.12.0
  Fix ksnapshot obsoletes

* Wed Dec 09 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 909148
- Obsoletes old ksnspshot
- imported package spectacle

